Skip to main content
`Ctrl`+`K`

# MatFDColoringFn

Function provided to `MatFDColoringSetFunction()` that computes the function being differenced

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MatFDColoringFn(void *snes, Vec x, Vec y, void *fctx);

## Calling Sequence

- snes - either a `SNES` object if used within `SNES` otherwise an unused parameter

- in - the location where the Jacobian is to be computed

- out - the location to put the computed function value

- fctx - the function context passed into `MatFDColoringSetFunction()`

## See Also

Matrices, `Mat`, `MatCreateMFFD()`, `MatMFFDSetFunction()`, `MatMFFDiFn`, `MatMFFDiBaseFn`

## Level

advanced

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages